SymbolTable (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.symbol
Interface SymbolTable

All Superinterfaces:
  Table

All Known Implementing Classes:
  TrieSymbolTable

    public interface SymbolTable

extends Table

Method Summary
`int` | `addSymbol(StringBuilder symbol)`
`void` | `copy(SymbolTable fromTable)`
`Set<Integer>` | `getCodes()`
`boolean` | `getKnown(int code)`
`boolean` | `getKnown(String symbol)`
`int` | `getNullValueCode(NullValues.NullValueId nullValueIdentifier)`
`String` | `getNullValueSymbol(NullValues.NullValueId nullValueIdentifier)`
`int` | `getValueCounter()`
`boolean` | `isNullValue(int code)`
`boolean` | `isNullValue(String value)`
`void` | `load(BufferedReader in)`
`void` | `makeKnown(int code)`
`void` | `printSymbolTable(org.apache.log4j.Logger logger)`
`void` | `save(BufferedWriter out)`

Methods inherited from interface org.maltparser.core.symbol.Table
`addSymbol, getName, getSymbolCodeToString, getSymbolStringToCode, size`

Method Detail

### addSymbol

    int addSymbol(StringBuilder symbol)
                  throws MaltChainedException

  Throws:
    `MaltChainedException`

### getKnown

    boolean getKnown(int code)

### getKnown

    boolean getKnown(String symbol)

### makeKnown

    void makeKnown(int code)

### getCodes

    Set<Integer> getCodes()

### printSymbolTable

    void printSymbolTable(org.apache.log4j.Logger logger)
                          throws MaltChainedException

  Throws:
    `MaltChainedException`

### save

    void save(BufferedWriter out)
              throws MaltChainedException

  Throws:
    `MaltChainedException`

### load

    void load(BufferedReader in)
              throws MaltChainedException

  Throws:
    `MaltChainedException`

### getValueCounter

    int getValueCounter()

### getNullValueCode

    int getNullValueCode(NullValues.NullValueId nullValueIdentifier)
                         throws MaltChainedException

  Throws:
    `MaltChainedException`

### getNullValueSymbol

    String getNullValueSymbol(NullValues.NullValueId nullValueIdentifier)
                              throws MaltChainedException

  Throws:
    `MaltChainedException`

### isNullValue

    boolean isNullValue(String value)
                        throws MaltChainedException

  Throws:
    `MaltChainedException`

### isNullValue

    boolean isNullValue(int code)
                        throws MaltChainedException

  Throws:
    `MaltChainedException`

### copy

    void copy(SymbolTable fromTable)
              throws MaltChainedException

  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.